Subject: bug#19870: 24.4.90; tramp sets bad PAGER, commands which reference it fail

From: Michael Albinus <[email-masked]>
Date: Sun, 15 Feb 2015 16:22:30 +0100

Richard Lowe <[email-masked]> writes:

> It's not clear to me whether the change quoted above is somehow flawed,
> or whether the setting of PAGER in `tramp-remote-process-environment' is
> flawed.  I think the setting is to workaround the fact that if the RHS
> of the assignment in `tramp-remote-process-environment' is empty, we
> won't actually do anything (which seems a bit weird, given the number of
> variables in there that will be ignored), and the new code quoted above
> results in more faithfully quoting things, triggering the bug.

Jérémy Compostella has already published a patch on the Tramp mailing
list. I've committed it to the emacs-24 branch of the repository; could
you please check whether it is OK?

Thanks, and best regards, Michael.

PS: due to a problem of the different branches on my laptop, I've
committed it also to the master branch by accident. Hope there is no
trouble when merging.